Summary: A spelling checker.
Name: aspell
Version: 0.33.7.1
Epoch: 2
Release: 25.3.rhel3
License: LGPL
Group: Applications/Text
URL: http://aspell.sourceforge.net/
Source0: http://download.sourceforge.net/aspell/%{name}-.33.7.1.tar.gz
Source1: aspell-init.el
Patch0: aspell-.33-fix2.diff
Patch1: aspell-.33.7.1-workaround.patch
Patch2: aspell-.33.7.1-html.patch
Requires: pspell = 3:0.12.2
Requires: aspell-config = %{epoch}:%{version}
Buildrequires: pspell-devel = 3:0.12.2, gcc-c++
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: ispell

%description
Aspell is a spelling checker designed to eventually replace Ispell.
Aspell's primary advantage (over Ispell) is a greater skill at
suggesting correct spellings. Aspell includes both compile-time and
run-time support for non-English languages and can spellcheck (La)TeX
and HTML files.

%package devel
Summary: Static libraries and header files for Aspell development.
Group: Development/Libraries
Requires: pspell-devel aspell = %{epoch}:%{version}

%description devel
Aspell is a spelling checker. The aspell-devel package includes the
static libraries and header files needed for Aspell development. Note
that the recommended way to use aspell is through the Pspell library.

%package config
Summary: Config files for aspell
Group: Applications/Text
Requires: aspell

%description config
This package contains the config files for apspell.

%package en-gb
Summary: A British English dictionary for aspell.
Group: Applications/Text
Requires: aspell

%description en-gb
This package contains a British English dictionary for use with
aspell, a spelling checker.

%package en-ca
Summary: A Canadian English dictionary for aspell.
Group: Applications/Text
Requires: aspell

%description en-ca
This package contains a Canadian English dictionary for use with
aspell, a spelling checker.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n aspell-.33.7.1

%patch0 -p0 -b .fix2
#patch1 -p1 -b .evilworkaround
%patch2 -p1 -b .html

%build

%ifarch s390
CXXFLAGS="${CXXFLAGS} -O0" 
%endif

%configure 
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/site-start.d
mkdir -p $RPM_BUILD_ROOT/usr/lib/xemacs/xemacs-packages/lisp/site-start.d
mkdir -p $RPM_BUILD_ROOT/usr/bin

install -m 755 scripts/spell  $RPM_BUILD_ROOT/usr/bin/spell
install -m 755 scripts/ispell $RPM_BUILD_ROOT/usr/bin/ispell
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/site-start.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/xemacs/xemacs-packages/lisp/site-start.d

cp -pr $RPM_BUILD_ROOT/usr/doc/aspell .
rm -f aspell/manual.aux

# remove the doc stuff we don't want packaged
rm -rf $RPM_BUILD_ROOT/%{_prefix}/doc

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig
    
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO aspell/*
%{_bindir}/*
%{_libdir}/aspell/american*
%{_libdir}/aspell/english*
%{_libdir}/lib*.so.*
# Yes, they need to be in the main package - they are used for
# dynamic loading. Argh.
%{_libdir}/lib*.la
%{_datadir}/aspell
%{_datadir}/emacs/site-lisp/site-start.d/*
/usr/lib/xemacs/xemacs-packages/lisp/site-start.d/*

%files devel
%defattr(-,root,root)
/usr/include/aspell
%{_libdir}/lib*aspell.a
%{_libdir}/lib*aspell.so

%files config
%defattr(-,root,root)
%{_datadir}/pspell

%files en-ca
%defattr(-,root,root)
%{_libdir}/aspell/canadian*

%files en-gb
%defattr(-,root,root)
%{_libdir}/aspell/british*

%changelog
* Mon Apr 10 2006 Ivana Varekova <varekova@redhat.com> - 2:0.33.7.1-25.3.rhel3
- fix sgml-mode problem - bug 145630

* Wed Dec 22 2004 Jeremy Katz <katzj@redhat.com> - 2:0.33.7.1-25.3
- include the epoch in the -config require

* Wed Dec 22 2004 Jeremy Katz <katzj@redhat.com> - 2:0.33.7.1-25.2
- require the -config subpackage (#143516)

* Wed Oct 06 2004 Than Ngo <than@redhat.com> 2:0.33.7.1-25.1
- add sub package aspell-config to fix multiarch problem

* Tue Aug 12 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- compiler should be fixed now

* Mon Jul 28 2003 Harald Hoyer <harald@redhat.com> 2:0.33.7.1-24
- use -O0 for s390 (#91185)

* Sun Jun  8 2003 Tim Powers <timp@localhost.localdomain> 2:0.33.7.1-23
- add epoch to aspell-devel's requires on aspell
- build for RHEL

* Mon Apr 28 2003 Tim Powers <timp@redhat.com> 2:0.33.7.1-22
- rebuild to properly satisfy deps

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Nov  8 2002 Tim Powers <timp@redhat.com>
- fix broken pspell epoch dep
- create $RPM_BUILD_ROOT/usr/bin by hand
- remove /usr/doc
- fix hardcoding of /usr/lib so that we can build on x86_64

* Tue Aug 13 2002 Nalin Dahyabhai <nalin@redhat.com> 0.33.7.1-16
- require pspell and pspell-devel using the proper epoch

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Mon Jul 22 2002 Tim Powers <timp@redhat.com> 0.33.7.1-14
- rebuild using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 0.33.7.1-13
- automated rebuild

* Thu Jun 13 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.33.7.1-12
- Rebuild to make it work again... #66708

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 13 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.33.7.1-10
- Rebuild

* Thu Feb 21 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.33.7.1-9
- Disable evil patch

* Mon Jan 28 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.33.7.1-8
- Build on more archs (doh)

* Tue Jan 22 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.33.7.1-7
- Make it compile with new compiler (evil workaround)

* Wed Jan 16 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.33.7.1-5
- Rebuild
- Unexclude alpha

* Fri Dec 14 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.33.7.1-3
- Rebuild
- Don't build on alpha

* Mon Oct 29 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.33.7.1-2
- "make it work with gcc 3.1" ;)

* Tue Sep 18 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.33.7.1-1
- 0.33.7.1, which is a "make it work with gcc 3" release

* Wed Sep 12 2001 Tim Powers <timp@redhat.com>
- rebuild with new gcc and binutils

* Thu Aug  9 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.33.7-1
- 0.33.7 bugfix release. Requested by the author, it fixes
  coredumps in sug-mode and when not using typo-analyses.
  It also contains code cleanups so it compiles with -ansi
- should fix coredump on IA64 (#49746)

* Wed Jul 11 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add the .la files in the main package - used for dynamic loading

* Sun Jun  3 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 0.33.6.3, which includes the fix made yesterday

* Sat Jun  2 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Make it search for directories in the correct location

* Wed May 30 2001 Trond Eivind Glomsrd <teg@redhat.com>
- No more workarounds at the specfile level

* Tue May 29 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Use custom ltmain.sh to work around buggy bundled libtool

* Sun May 20 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 0.33.6
- use standard %%configure macro - it works now.

* Fri May 11 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.33.5-2
- Rebuild with new libltdl

* Mon Apr 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 0.33.5

* Thu Nov 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use new emacs init scheme for Emacs and XEmacs

* Wed Nov 22 2000 Trond Eivind Glomsrd <teg@redhat.com>
-  .32.6

* Sat Aug 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- .32.5 bugfix release (also contains improved documentation),
  obsolete old patch
- the compatibility scripts are now part of the package itself
- clean up build procedure
- remove manual.aux file from docs (#16424)

* Sun Aug 06 2000 Trond Eivind Glomsrd <teg@redhat.com>
- .32.1 bugfix release, obsolete old patch
- rename to 0.32.1
- add patch from author to change his email address
- add spell and ispell compatibility scripts

* Fri Aug 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Tue Aug 01 2000 Trond Eivind Glomsrd <teg@redhat.com>
- remember to obsolete ispell
- build the Canadian and British dictionaries here now,
  as part of the main package. Same package names and 
  descriptions.

* Mon Jul 24 2000 Trond Eivind Glomsrd <teg@redhat.com>
- .32
- remove old patches, add a patch since namespace isn't 
  polluted as much anymore (as opposed to older toolchain)

* Wed Jul 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  4 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Fri Jun 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use RPM_OPT_FLAGS, not just -O0
- dont include .la-files

* Fri Jun 23 2000 Trond Eivind Glomsrd <teg@redhat.com>
- excludearch ia64

* Fri Jun 23 2000 Trond Eivind Glomsrd <teg@redhat.com>
- patch to work around compiler bug(?) wrt. inline functions
- use CFLAGS and CXXFLAGS
- set them to -O0 to work around YACB
- copy libtool files for IA64 support

* Sun Jun 18 2000 Trond Eivind Glomsrd <teg@redhat.com>
- update to .31.1. My patch was upstreamed and is no longer needed.
- new patch added so DESTDIR works properly

* Fri Jun 16 2000 Trond Eivind Glomsrd <teg@redhat.com>
- (this entry includes some old ones...)
- update to .31
- added patch to make it compile with a pickier compiler
- include /usr/share/pspell

* Mon May 1 2000 Tim Powers <timp@redhat.com>
- updated to .30.1
- used build fixes from Ryan Weaver's 0.30.1-1 package on sourceforge
- updated URL, download/ftp location
- removed redundant define's at top of spec file

* Thu Jul 8 1999 Tim Powers <timp@redhat.com>
- built for Powertools 6.1
- removed %serial definitions from spec file to make versioning
  consistant with the other packages we ship.
- changed build root path
- general spec file cleanups

* Tue Mar  2 1999 Ryan Weaver <ryanw@infohwy.com>
  [aspell-.27.2-2]
- Changes from .27.1 to .27.2 (Mar 1, 1999)
- Fixed a major bug that caused aspell to dump core when used
  without any arguments
- Fixed another major bug that caused aspell to do nothing when used
  in interactive mode.
- Added an option to exit in Aspell's interactive mode.
- Removed some old documentation files from the distribution.
- Minor changes on to the section on using Aspell with egcs.
- Minor changes to remove -Wall warnings.
